package com.mortals.xhx.module.site.service;

import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.site.dao.SiteMatterDao;
import com.mortals.xhx.module.site.model.SiteMatterEntity;

/**
 * SiteMatterService
 * <p>
 * 站点事项 service接口
 *
 * @author zxfei
 * @date 2022-01-12
 */
public interface SiteMatterService extends ICRUDService<SiteMatterEntity, Long> {

    SiteMatterDao getDao();

    void deleteBysiteIdAndSource(Long siteId, Integer source, Context context);
}